For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
      • Batches
      • Exporting Batch Data
      • Collections
      • Exporting Collection Data
      • Datasets
      • Instructions
      • GETList Batches
      • POSTCreate a Batch
      • GETGet a Batch
      • PATCHUpdate a Batch
      • GETGet Batch Status
      • POSTSetup a Batch
      • GETGet Batch Responses
      • GETGet Batch Report
      • POSTDuplicate a Batch
      • POSTRequest a Batch Export
      • GETGet Batch Export Status
      • POSTCreate a Dataset
      • GETGet Dataset Upload URL
      • GETGet Dataset Status
      • GETGet Batch Instructions
      • POSTCreate Batch Instructions
      • PUTUpdate Batch Instructions
      • GETList Collections
      • POSTCreate a Collection
      • GETGet a Collection
      • PUTUpdate a Collection
      • GETGet Collection Responses
      • POSTRequest a Collection Export
      • GETGet Collection Export Status
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceAI Task Builder

List Collections

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/data-collection/collections
GET
/api/v1/data-collection/collections
$curl -G https://api.prolific.com/api/v1/data-collection/collections \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d workspace_id=a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1b8e
1{
2 "results": [
3 {
4 "id": "d9b2d63d-a233-4123-847a-7a7a3f3f3f3f",
5 "schema_version": 1,
6 "created_at": "2024-01-15T09:30:00Z",
7 "created_by": "user_12345",
8 "workspace_id": "a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a1b8e",
9 "name": "Customer Feedback Survey",
10 "task_details": {
11 "task_name": "Customer Satisfaction Survey",
12 "task_introduction": "<p>Welcome to our survey! Your feedback is valuable.</p>",
13 "task_steps": "<ol><li>Answer all questions honestly.</li><li>Submit your responses.</li></ol>"
14 },
15 "collection_items": [
16 {
17 "id": "e7c9f1a2-4b5d-4c6e-9f7a-1b2c3d4e5f6a",
18 "created_at": "2024-01-15T09:30:00Z",
19 "created_by": "user_12345",
20 "schema_version": 1,
21 "page_items": [
22 {
23 "type": "multiple_choice",
24 "answer_limit": 1,
25 "created_at": "2024-01-15T09:30:00Z",
26 "created_by": "user_12345",
27 "description": "How satisfied are you with our product?",
28 "id": "f1a2b3c4-d5e6-7f8a-9b0c-1d2e3f4a5b6c",
29 "options": [
30 {
31 "label": "Very satisfied",
32 "value": "very_satisfied",
33 "exclusive": false
34 },
35 {
36 "label": "Somewhat satisfied",
37 "value": "somewhat_satisfied",
38 "exclusive": false
39 },
40 {
41 "label": "Neutral",
42 "value": "neutral",
43 "exclusive": false
44 },
45 {
46 "label": "Somewhat dissatisfied",
47 "value": "somewhat_dissatisfied",
48 "exclusive": false
49 },
50 {
51 "label": "Very dissatisfied",
52 "value": "very_dissatisfied",
53 "exclusive": false
54 },
55 {
56 "label": "Prefer not to say",
57 "value": "prefer_not_to_say",
58 "exclusive": true
59 }
60 ],
61 "order": 1,
62 "parent_id": "e7c9f1a2-4b5d-4c6e-9f7a-1b2c3d4e5f6a",
63 "parent_type": "collection",
64 "disable_dropdown": false,
65 "helper_text": "Select one option that best describes your satisfaction level.",
66 "placeholder_text_input": "Select an option"
67 }
68 ]
69 }
70 ],
71 "last_modified_at": "2024-01-20T15:45:00Z",
72 "last_modified_by": "user_67890"
73 }
74 ],
75 "meta": {
76 "count": 1
77 }
78}
Get all AI Task Builder Collections for a workspace.
Was this page helpful?
Previous

Update Batch Instructions

Next

Create a Collection

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

workspace_idstringRequired
The unique identifier of the workspace

Response

OK
resultslist of objects
metaobject

Errors

4XX
Client Request Error